#
# spec file for package perl-Glib-Object-Introspection
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name Glib-Object-Introspection
Name:           perl-Glib-Object-Introspection
Version:        0.040
Release:        2.3
Summary:        GObject Introspection bindings for Perl
License:        LGPL-2.1+
Group:          Development/Languages/Perl
Url:            https://metacpan.org/pod/Glib::Object::Introspection
Source:         https://cpan.metacpan.org/authors/id/X/XA/XAOC/%{cpan_name}-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::Depends)
BuildRequires:  perl(ExtUtils::PkgConfig)
BuildRequires:  perl(Glib) >= 1.320
BuildRequires:  pkgconfig(gobject-introspection-1.0)
Requires:       perl(Glib) >= 1.320
%perl_requires

%description
This package provides perl bindings for GObject Introspection.
Glib::Object::Introspection uses the gobject-introspection and
libffi projects to dynamically create Perl bindings for a wide
variety of libraries.
Examples include GTK+, WebKit, libsoup and many more.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE='%{optflags}'
make %{?_smp_mflags}

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root)
%doc LICENSE NEWS README

%changelog
* Tue Dec 29 2015 sor.alexei@meowr.ru
- Update to 0.040:
  * Makefile.PL: Make G:O:I dependent on Glib version >= 1.320.
* Fri Dec  4 2015 sor.alexei@meowr.ru
- Update to 0.033:
  * perli11ndoc: Add a path bar to the results display.
* Sat Oct 10 2015 sor.alexei@meowr.ru
- Update to 0.032 (changes since 0.030):
  * Add perli11ndoc, an interactive documentation viewer.
  * Added perli11ndoc to MANIFEST.
  * Docs: include an edited version of Gtk2::api.
  * perli11ndoc: hush a warning when run in text mode without args.
  * perli11ndoc: display a synopsis for callables.
  * perli11ndoc: make Control+k focus the search entry.
  * perli11ndoc: make Right/Left expand/collapse rows in the tree
    view.
  * perli11ndoc: make the result text view readonly.
  * Croak in setup for unhandled modificaion combinations.
  * perli11ndoc: when filtering, show children of matching elements.
* Thu Aug 20 2015 sor.alexei@meowr.ru
- Update to 0.030:
  * Avoid repeating setting up a library as this can lead to issues.
  * Add some missing version guards to the tests.
  * Add t/variants.t to MANIFEST.
* Thu Mar 26 2015 sor.alexei@meowr.ru
- Update to 0.029:
  * Hook up the generic Glib::Boxed constructor on load, not in
    setup().
  * Add support for marshalling GVariants, GArrays, GPtrArrays and
    GByteArrays.
  * Support flat arrays when converting from C to Perl.
* Thu Feb 26 2015 sor.alexei@meowr.ru
- Update to 0.028:
  * Harmonize the format of type names in error messages.
  * Add a FIXME about a corner case of GInitiallyUnowned handling.
* Wed Jan 28 2015 sor.alexei@meowr.ru
- Update to 0.027:
  * Fix compilation problems when NOISY is defined.
  * Move the handling of void record fields into the field
    accessors.
  * Rename a few variables for clarity.
* Fri Jan 16 2015 sor.alexei@meowr.ru
- Initial package.
